%define pkg_name        Image-ThousandWords
%define pkg_version     0.08
%define rpm_pkg_version 0.08
%define rpm_pkg_release 1.n0i.1

Summary:       Convert an image to colored HTML text
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/Image/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Image::Thumbnail)
BuildRequires: perl(GD)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(Image::Size)


%description
This module is designed to take as input the path to an image file, and a
string of text, and return an HTML colored text, resembling the image made
out of the string, repeated as necessary.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_eol Changes README}
%{fix_encoding README}
%{__perl} -pi -e 's/tests => 10/tests => 22/' test.pl

%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Mon Sep 24 2007 Marius Feraru <altblue@n0i.net> - 0.08-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.08
